Summary: A clone of the Mirabilis ICQ online messaging program.
Name: micq 
Version: 0.4.6
Release: 2
Group: Applications/Internet
Copyright: Freely distributable
Source: http://micq.maesoft.net/%{name}-0_4_6.tgz
Patch0: micq-0.4.6-snprintf.patch
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

%description
Micq is a clone of the Mirabilis ICQ online messaging/conferencing
program.

%prep
%setup -q -n %{name}-0.4.6
%patch0 -p1

%build
make CC="gcc $RPM_OPT_FLAGS"

%install
#make install 

if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/{etc/X11/wmconfig,usr/bin}
cp micq $RPM_BUILD_ROOT/usr/bin
strip $RPM_BUILD_ROOT/usr/bin/micq

%files
%defattr(-,root,root)
%doc README commands.txt
/usr/bin/micq

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Wed Jan 24 2001 Tim Powers <timp@redhat.com>
- built for Red Hat Linux 7

* Wed Jan 24 2001 Tim Powers <timp@redhat.com>
- patched with patch from Seva Gluschenko <gvs@RINET.RU> to fix string
  format bugs, and buffer overflow bugs
- built for Red Hat Linux 6.x

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue May 16 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0 

* Wed Dec 15 1999 Tim Powers <timp@redhat.com>
- updated to 0.4.3

* Wed Apr 21 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

